/* Copyright (c) 1997, MpegTV LLC */
#ifndef _pref_h
#define _pref_h
#ifndef lint
static const char rcsid_pref_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/pref.h,v 1.9 1998/05/29 22:21:55 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/misc.h"

#include "search.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/


/*--------------------------------------------------------------------------+
| Externals																	|
+--------------------------------------------------------------------------*/
extern void pref_init_keys(const ENTRY *, u_int);
extern int pref_load(const char *);
extern int pref_get_value_bool(/* const */ char *, Bool *);
extern int pref_get_value_int(/* const */ char *, int *, int, int);
extern int pref_get_value_double(/* const */ char *, double *, double, double);
extern const char *pref_get_value(/* const */ char *);

#endif /* _pref_h */
